namespace Wsp.Types
{
	internal struct NotEqualsConstraint
	{
		public readonly int Step1;
		public readonly int Step2;
		public readonly Int64BasedSet StepsMask;

		public NotEqualsConstraint(int step1, int step2)
		{
			Step1 = step1;
			Step2 = step2;
		    if (Step1 > Step2)
		    {
		        int t = Step1;
		        Step1 = Step2;
		        Step2 = t;
		    }

			StepsMask = new Int64BasedSet(step1, step2);
		}

		public override string ToString()
		{
			return string.Format("{0} != {1}", Step1, Step2);
		}
	}
}